<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.4.7
 * @author		hikashop.com
 * @copyright	(C) 2010 HIKARI SOFTWARE. All rights reserved.
 * @license		http://www.hikashop.com/commercial_license.php
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="hikashop_alertpay_end" id="hikashop_alertpay_end">
	<span id="hikashop_alertpay_end_message" class="hikashop_alertpay_end_message">
		<?php echo JText::sprintf('PLEASE_WAIT_BEFORE_REDIRECTION_TO_X',$method->payment_name).'<br/>'. JText::_('CLICK_ON_BUTTON_IF_NOT_REDIRECTED');?>
	</span>
	<span id="hikashop_alertpay_end_spinner" class="hikashop_alertpay_end_spinner">
		<img src="<?php echo HIKASHOP_IMAGES.'spinner.gif';?>" />
	</span>
	<br/>
	<form id="hikashop_alertpay_form" name="hikashop_alertpay_form" action="<?php echo $method->payment_params->url;?>" method="post">
		<div id="hikashop_alertpay_end_image" class="hikashop_alertpay_end_image">
			<input id="hikashop_alertpay_button" type="submit" value="" name="" alt="<?php echo JText::_('PAY_NOW');?>" />
		</div>
		<?php
			foreach( $vars as $name => $value ) {
				echo '<input type="hidden" name="'.$name.'" value="'.htmlspecialchars((string)$value).'" />';
			}
			$doc =& JFactory::getDocument();
			$doc->addScriptDeclaration("window.addEvent('domready', function() {document.getElementById('hikashop_alertpay_form').submit();});");
			JRequest::setVar('noform',1);
		?>
	</form>
</div>